# app.rb

require "sinatra"
require "redis"

set :bind, "0.0.0.0"
set :port, 3000

get "/" do
  redis = Redis.new(url: ENV.fetch("REDIS_URL", "redis://redis"))
  <<~HTML
    <h1>Hello there!</h1>
    <strong>Sample key:</strong> #{redis.get("sample-key") || "sample key not set!"
  HTML

rescue Redis::CannotConnectError
  "Can't connect to redis!\n"
end
